## biosig4c++ 1.4.1

=== debian/changelog ===
biosig4c++ (1.4.1-2~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 25 Mar 2015 13:49:53 -0400

biosig4c++ (1.4.1-2) neurodebian; urgency=medium

  * Just a policy boost to 3.9.6 (no other changes)
    to trigger also a fresh rebuild

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Mar 2015 13:19:46 -0400

biosig4c++ (1.4.1-1) experimental; urgency=low

  * Fresh upstream release:
    - adopted up_correct_biosig_LIBS_in_mex and up_no_need_for_-lidn
      patches
    - restored some API removed in 1.4.0 (one overload 
      _Z8ReadByteIaEvRT_@Base was still removed, allowing to slip through)
  * debian/watch: adjusted according to Alois (upstream) recommendation
  * debian/control:
    - Removed libxml2 from Build-Depends (upstream's hint)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Oct 2012 10:22:07 -0400

biosig4c++ (1.3.6-1) experimental; urgency=low

  * New upstream (primarily bugfix) release
  * debian/patches
    - deb_no_mex_copy_upstairs: adjusted to just override COPY in mex/Makefile
    - deb_no_locals: adopted upstream
    - others refreshed to reflect (partial) adoption upstream and changes
    - up_no_need_for_-lidn to remove obsolete -lidn 

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 Sep 2012 14:44:22 -0400

biosig4c++ (1.3.5-1) experimental; urgency=low

  * New upstream release (restores compatibility with API 1.3 broken in
    non-uploaded revisions)
  * debian/patches
    - 0001-Revert-do-not-install-dynamic-library-we-need-dynami.patch
      to install shared library
    - up_correct_biosig_LIBS_in_mex
      to provide correct args for mkoctfile while linking against dynamic
      library

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Jul 2012 09:40:16 -0400

=== debian/control ===
Source: biosig4c++
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               gawk,
               python-dev, python-support, swig, python-numpy,
               zlib1g-dev, libsuitesparse-dev,
               octave-pkg-dev (>= 0.5.7),
Standards-Version: 3.9.6
Section: science
Homepage: http://biosig.sf.net/
Vcs-Git: git://git.debian.org/pkg-exppsy/biosig4c--.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/biosig4c--.git;a=summary

Package: libbiosig1
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: I/O library for biomedical data - dynamic library
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides dynamic library.

Package: libbiosig1-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, libbiosig1 (= ${binary:Version})
Description: I/O library for biomedical data - debug symbols
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides debug symbols.

Package: libbiosig-dev
Section: libdevel
Architecture: any
Depends: neurodebian-popularity-contest, libbiosig1 (= ${binary:Version}), ${misc:Depends}
Description: I/O library for biomedical data - development files
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides header files and static library.

Package: biosig-tools
Section: science
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: format conversion tools for biomedical data formats
 Based on BioSig library, this package provides command line
 tools, such as
 .
  - save2gdf: converter between different file formats, including but
    not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF, BDF,
    CWFB.  save2gdf can be also used to upload or retrieve data from a
    bscs server.

Package: python-biosig
Section: python
Architecture: any
Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for BioSig library
 This package provides Python bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

Package: octave-biosig
Architecture: any
Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Octave bindings for BioSig library
 This package provides Octave bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

## biosig4c++ 1.9.3

=== DESCRIPTION ===
Name: BioSig
Version: 1.9.3
Date: 2018-12-02
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: BioSig
Description: A software library for biomedical signal processing.
Depends: octave (> 2.9.0),
License: GPL version 3 or later
Url: http://biosig.sf.net

=== debian/changelog ===
biosig4c++ (1.9.3-2ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:13 +0000

biosig4c++ (1.9.3-2ubuntu1) focal; urgency=medium

  * Drop python2 support.  Closes: #936207.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Nov 2019 11:24:07 -0800

biosig4c++ (1.9.3-2build1) focal; urgency=medium

  * Rebuild against new liboctave7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 20:40:08 +0100

biosig4c++ (1.9.3-2) unstable; urgency=medium

  * Team upload
  * Provide symbols file only for architectures where it can be used
    unchanged
  * Add Build-Depends: libdcmtk-dev, libxml2-dev, libb64-dev
    as upstream suggests

 -- Andreas Tille <tille@debian.org>  Sun, 20 Jan 2019 22:09:35 +0100

biosig4c++ (1.9.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #860081
  * debian/gbp.conf:
     - debian-branch is now debian
     - cleanup from old syntax specifying default settings
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * debian/blends: removed since redundant (debian/upstream/metadata)
  * Drop -dbg package in favour of autogenerated one
  * Add python3-biosig
  * Delete outdated README.Debian
  * Drop paragraph about source tarball generated from git from README.source
  * Adapt lintian-overrides
  * Use d-shlibs
  * Several symbols from version 1.3.6 are missing thus there is an ABI change
    and SOVERSION needs to be bumped
    --> set SOVERSION=2
  * Re-activate and update symbols file

  [ Rafael Laboissiere ]
  * d/control: Build-depends on dh-octave
  * d/rules: Use dh_octave_substvar for determining octave:Depends
    Closes: #890060
  * Use unversioned path for installing the *.mex files
    Closes: #734046

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 14:44:34 +0100

=== debian/control ===
Source: biosig4c++
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               d-shlibs,
               gawk,
               python3-dev,
               swig,
               python3-numpy,
               python3-pkgconfig,
               zlib1g-dev,
               libsuitesparse-dev,
               dh-octave,
               libdcmtk-dev,
               libxml2-dev,
               libb64-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/neurodebian-team/biosig4c
Vcs-Git: https://salsa.debian.org/neurodebian-team/biosig4c.git
Homepage: http://biosig.sf.net/

Package: libbiosig2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: I/O library for biomedical data - dynamic library
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides dynamic library.

Package: libbiosig-dev
Architecture: any
Section: libdevel
Depends: libbiosig2 (= ${binary:Version}),
         ${misc:Depends}
Description: I/O library for biomedical data - development files
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides header files and static library.

Package: biosig-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: format conversion tools for biomedical data formats
 Based on BioSig library, this package provides command line
 tools, such as
 .
  - save2gdf: converter between different file formats, including but
    not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF, BDF,
    CWFB.  save2gdf can be also used to upload or retrieve data from a
    bscs server.

Package: python3-biosig
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python3 bindings for BioSig library
 This package provides Python3 bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

Package: octave-biosig
Architecture: any
Depends: ${octave:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Octave bindings for BioSig library
 This package provides Octave bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MAKEOPTS=LIBEXT=so

export PYBUILD_NAME=biosig
export PYBUILD_SYSTEM=pybuild

export DEB_CFLAGS_MAINT_APPEND  = -I$(CURDIR)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh  $@ --with python3

override_dh_auto_configure:
	dh_auto_configure
	: # Use our copies
	ln -s debian/upstream-extern extern

override_dh_auto_build:
	: # Build everything upstream builds by default
	make $(MAKEOPTS)
	: # Assure additional interesting to us pieces are built
	make $(MAKEOPTS) libbiosig.so mex4o biosig4python 
	#make libbiosig.a save2gdf save2aecg save2scp pdp2gdf \
	#	 biosig_client biosig_server
	# Later: libbiosig.so -- fails, no SONAME etc,
	#         mex4o -- there are some copying etc
	# Later: Python -- depends on obsolete Numeric
	#        biosig4python 
	#  to build for multiple Python's would need to loop
	#  between versions with smth like make python -B PYTHONVER=2.6

override_dh_auto_test:
	: I: skip testing for now -- relies on download of test data

# Manual crafting of installing Octave and Python bindings
# TODO: proper
PYTHON3=$(shell py3versions -d)
PY3DIR=$(shell if /bin/ls -d /usr/lib/${PYTHON3}/*-packages 2>/dev/null ; then /bin/ls -d /usr/lib/${PYTHON3}/*-packages ; else /bin/ls -d /usr/lib/python3/*-packages ; fi)
PY3VER=$(shell py3versions -d -v)

OCTDIR=$(shell octave-config -p LOCALOCTFILEDIR)/biosig

override_dh_auto_install:
	dh_auto_install

	: I: install Python binding for current Python verion TODO: all
	mkdir -p debian/python3-biosig$(PY3DIR)
	cp -a python/build/lib.*-$(PY3VER)/biosig.*.so debian/python3-biosig$(PY3DIR)/biosig.so

	: I: install Octave bindings
	mkdir -p debian/octave-biosig$(OCTDIR)
	: # install with executable flag so dh_{strip,...} tools could catch it to operate
	install mex/mexS*.mex debian/octave-biosig$(OCTDIR)

	[ -x /usr/bin/dh_numpy ] && dh_numpy || :

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libcholmod3-dev/libsuitesparse-dev/ \
		    --movedev debian/tmp/usr/include usr \
		    debian/tmp/usr/lib/*/*.so

override_dh_makeshlibs:
	dh_makeshlibs
	: # Provide octave:Depends
	dh_octave_substvar

# Tune up permission for .mex files this late in the chain
# Silly dh_strip, dh_shlibdeps do not process those since extension
# is "unknown" to them and they are not executable
override_dh_gencontrol:
	chmod a-x debian/octave-biosig$(OCTDIR)/*.mex
	dh_gencontrol

override_dh_auto_clean:
	dh_auto_clean
	if [ -f Makefile ] ; then make $(MAKEOPTS) clean ; fi 	# distclean invoked by auto isn't enough
	-rm extern

## biosig4c++ 1.9.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: BioSig
-Version: 1.9.3
-Date: 2018-12-02
+Version: 1.9.5
+Date: 2019-07-25
 Author: Alois Schloegl <alois.schloegl@ist.ac.at>
 Maintainer: Alois Schloegl
 Title: BioSig

=== debian/changelog ===
biosig4c++ (1.9.5-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * Fresh upstream release
  * debian/patches
    - dropped patches/fix_soname.patch -- upstreamed
  * debian/control
    - added libtinyxml-dev to build-depends

  [ Andreas Tille ]
  * Take over package into Debian Med team maintenance
  * debian/gbp.conf: deleted since converted to default layout
  * Provide symbols file only for architectures where it can be used
    unchanged
  * Add Build-Depends: libdcmtk-dev, libxml2-dev, libb64-dev
    as upstream suggests
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Use secure URI in debian/watch.
  * Remove empty debian/patches/series.
  * Set upstream metadata fields: Archive, Repository.
  * Drop Python2 support (some refinements for Python3 only
    Closes: #936207
  * Refresh symbols file
    Closes: #925643
  * Fix permissions
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 02 Mar 2020 08:32:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: biosig4c++
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                d-shlibs,
                gawk,
                python3-dev,
                swig,
                python3-numpy,
-               python3-pkgconfig,
                zlib1g-dev,
                libsuitesparse-dev,
                dh-octave,
                libdcmtk-dev,
                libxml2-dev,
+               libtinyxml-dev,
                libb64-dev
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/biosig4c
-Vcs-Git: https://salsa.debian.org/neurodebian-team/biosig4c.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/biosig4c
+Vcs-Git: https://salsa.debian.org/med-team/biosig4c.git
 Homepage: http://biosig.sf.net/
 
 Package: libbiosig2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MAKEOPTS=LIBEXT=so

export PYBUILD_NAME=biosig
export PYBUILD_SYSTEM=pybuild

export DEB_CFLAGS_MAINT_APPEND  = -I$(CURDIR)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh  $@ --with python3

override_dh_auto_configure:
	dh_auto_configure
	: # Use our copies
	ln -s debian/upstream-extern extern

override_dh_auto_build:
	: # Build everything upstream builds by default
	make $(MAKEOPTS)
	: # Assure additional interesting to us pieces are built
	make $(MAKEOPTS) libbiosig.so mex4o biosig4python
	#make libbiosig.a save2gdf save2aecg save2scp pdp2gdf \
	#	 biosig_client biosig_server
	# Later: libbiosig.so -- fails, no SONAME etc,
	#         mex4o -- there are some copying etc
	# Later: Python -- depends on obsolete Numeric
	#        biosig4python
	#  to build for multiple Python's would need to loop
	#  between versions with smth like make python -B PYTHONVER=2.6

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: skip testing for now -- relies on download of test data"
endif

# Manual crafting of installing Octave and Python bindings
# TODO: proper
PYTHON3=$(shell py3versions -d)
PY3DIR=$(shell if /bin/ls -d /usr/lib/${PYTHON3}/*-packages >/dev/null 2>/dev/null ; then /bin/ls -d /usr/lib/${PYTHON3}/*-packages ; else /bin/ls -d /usr/lib/python3/*-packages ; fi)
PY3VER=$(shell py3versions -d -v)

OCTDIR=$(shell octave-config -p LOCALOCTFILEDIR)/biosig

override_dh_auto_install:
	dh_auto_install

	: I: install Python binding for current Python verion TODO: all
	mkdir -p debian/python3-biosig$(PY3DIR)
	cp -a python/build/lib.*-$(PY3VER)/biosig.*.so debian/python3-biosig$(PY3DIR)/biosig.so
	find debian -name "biosig*.so"

	: I: install Octave bindings
	mkdir -p debian/octave-biosig$(OCTDIR)
	: # install with executable flag so dh_{strip,...} tools could catch it to operate
	install mex/mexS*.mex debian/octave-biosig$(OCTDIR)

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libcholmod3-dev/libsuitesparse-dev/ \
		    --override s/libtinyxml2.6.2-dev/libtinyxml-dev/ \
		    --movedev debian/tmp/usr/include usr \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

override_dh_makeshlibs:
	dh_makeshlibs
	: # Provide octave:Depends
	dh_octave_substvar
	dh_numpy3

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/octave-biosig$(OCTDIR)/*.mex
	find debian -name "*.pc" -exec chmod -x \{\} \;

override_dh_auto_clean:
	dh_auto_clean
	if [ -f Makefile ] ; then make $(MAKEOPTS) clean ; fi 	# distclean invoked by auto isn't enough
	-rm extern

=== debian/watch ===
version=3
https://sf.net/biosig/biosig4c\+\+-(.*)\.src\.tar\.gz
